//Max package versions not installed union all installed packages
SELECT
	PACKAGES.ID,
	PACKAGES.RUNLEVEL,
	PACKAGES.NAME,
	VERSION_UNION.INSTALLED,
	VERSION_UNION.HASSECURITY,
	VERSION_UNION.HASUPDATE,
	VERSION_UNION.ID AS VERSIONID,
	VERSION_UNION.VERSION[0] || '.' || VERSION_UNION.VERSION[1] || '.' || VERSION_UNION.VERSION[2] as VP
	FROM
	PACKAGES,
	VERSION_UNION
	WHERE
	PACKAGES.ID= VERSION_UNION.PACKAGEID
	AND
	<#assign match=filter.getFirstValue("/filter/match")>
	<#if !(match=='no-match') >
	PACKAGES.NAME LIKE '%${match}%'
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showInstalled")=="true" && filter.getFirstValue("/filter/showNotInstalled")=="false">
	VERSION_UNION.INSTALLED=TRUE
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showInstalled")=="false" && filter.getFirstValue("/filter/showNotInstalled")=="true">
	VERSION_UNION.INSTALLED=FALSE
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showUpdates")=="false">
	VERSION_UNION.TYPE!=2
	AND
	</#if>
	<#if filter.getFirstValue("/filter/showSecurity")=="false">
	VERSION_UNION.TYPE!=3
	AND
	</#if>
	PACKAGES.ID>0
	ORDER BY NAME ASC
;