SELECT
	*
	FROM
	(
		(
			SELECT COUNT(*) AS PACKAGES
			FROM PACKAGES
		)
		JOIN
		(
			SELECT COUNT(*) AS INSTALLED
			FROM PACKAGE_VERSIONS
			WHERE INSTALLED=TRUE
		)
		JOIN
		(
			SELECT COUNT(*) AS UPDATES
			FROM PACKAGE_VERSIONS
			WHERE INSTALLED=TRUE
			AND HASUPDATE
		)
		JOIN
		(
			SELECT COUNT(*) AS SECURITY
			FROM PACKAGE_VERSIONS
			WHERE INSTALLED=TRUE
			AND HASSECURITY
		)
		JOIN
		(
			SELECT COUNT(*) AS MODULES
			FROM PACKAGE_VERSIONS, MODULES
			WHERE INSTALLED=TRUE
			AND MODULES.PACKAGEVID=PACKAGE_VERSIONS.ID
		)
	)
;